Subject: Re: [1.3.3] breaks serial i/o?
From: "Robert Collins" <[email-masked]>
To: "Grant Edwards" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Sat, 20 Oct 2001 20:09:17 +1000

Somebody who thinks problems are fixed without details wrote:
>
> Somebody in a bad mood wrote:
>
> > >Suggestions, patches, signs of moral support, etc. would all be
most
> > >graciously accepted.  Thanks for the help,
> >
> > No suggestions, patches, or signs of moral support here.
>
> The why not just shut-the-hell-up?

That would *really* help someone who indicated they had a tight timeline
to solve their problem in. Getting an authoritative answer is the best
they could hope for - and they got it.

> Do you post snotty replies to every question for which you
> don't know the answer?  Shit, man, are you trying to
> single-handedly give open-source a bad name?

You didn't read Chris' email carefully did you. He knows the answer. He
gave it. For clarity the answer was (paraquoted)

1. No known fault here.
2. We cannot reproduce the fault (because the report gave almost NO
details).
3. If the fault is to be fixed pre 1.3.4 (which the report indicated was
a goal) then details are needed to reproduce it.

And not stated, but pretty obvious from a look at the website, and
previous activity on bugs - We *would* like to fix this so *please* go
and generate enough details so we can do that.

> I've met Bill, and I'm pretty sure he was aware of what he
> typed.
>
> He's reporting a problem he's having with gdb on a particular
> platform and asking if anybody knows anything about it.
>
> There's nothing wrong with that.

There's a lot wrong if you *expect* anything to *happen* as a result of
writing the report.

That's like saying "I have a problem with pthreads on linux kernel foo,
help." and expecting a useful reply. Ha!

You might like to read Eric S Raymonds essay on getting help from open
source groups.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/